Bug 58362 - iptables "drop" not working
iptables "drop" not working
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: Security
Depends On:
  Show dependency treegraph
Reported: 2002-01-15 00:20 EST by Wesee Itw
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-15 00:20:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wesee Itw 2002-01-15 00:20:49 EST
Description of Problem:

i hav Rhat 7.2 "everything" installation.
when i try to drop some iptable rule i get error
libipt_drop.so not found.

Version-Release number of selected component (if applicable):
IPtables that is shipped with RHat 7.2

How Reproducible:

Steps to Reproduce:
1. try to drop IPTables rule

Actual Results:libipt_drop.so not found.

Expected Results:should drop that rule

Additional Information:
i checked kernel configuration, there all conponents of IPTABLES were 
configured as modules
i checked /lib/iptables/ ,there i didnt found libipt_drop.while other .so files 
of iptables were present there.
Comment 1 Bernhard Rosenkraenzer 2002-01-17 07:32:30 EST

[root@spock root]# iptables -A OUTPUT -d -jDROP
[root@spock root]#

Chances are you used -jdrop instead of -jDROP.
DROP is a builtin rule, so the library won't be there.

Please reopen if you can reproduce this with the correct syntax.

Also, the version shipped with 7.2 had a couple of bugs (nothing like this
though), you really want to install the errata package we released some weeks ago.

Note You need to log in before you can comment on or make changes to this bug.